Como instalar os nosos paquetes LMDE en 3 segundos

Aproveitando o artigo recente de que publiquei mintbackup, Quero amosarlle tres xeitos sinxelos de reinstalar os paquetes que usamos cando reinstalamos o noso LMDE.

En realidade, agás a primeira forma, as outras pódense empregar tanto en Debian, Como en Ubuntu.

Instalación en 3 segundos

Graficamente.

Este é o xeito máis parecido, todo gráfico e sen ter que tocar un terminal. En LMDE y linuxmint, existe unha fabulosa ferramenta chamada mintbackup, que entre outras cousas, podemos empregalo para gardar os nosos paquetes e posteriormente, reinstalalos.

No caso de que LMDE, se actualizamos o paquete python-apt á versión 0.8.0, non o poderemos usar mintbackup debido a un problema de dependencia. Devolverá o seguinte erro:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Esperemos que os rapaces de Menta solucionalo pronto.

A través do terminal.

A través da consola podemos facelo de 2 xeitos, o que ao final foi o mesmo.

En 2 pasos.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

Unha vez que teñamos acceso aos repositorios e todo estea configurado e actualizado, só temos que poñer isto:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

En 3 pasos.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

Despois de reinstalar, executamos isto:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

E entón corremos:

apt-get -u dselect-upgrade

Creo que non é necesario aclarar que debemos ter os repositorios configurados correctamente .. Simple non?


O contido do artigo adhírese aos nosos principios de ética editorial. Para informar dun erro faga clic en aquí.

8 comentarios, deixa os teus

Deixa o teu comentario

Enderezo de correo electrónico non será publicado.

*

*

  1. Responsable dos datos: Miguel Ángel Gatón
  2. Finalidade dos datos: controlar SPAM, xestión de comentarios.
  3. Lexitimación: o seu consentimento
  4. Comunicación dos datos: os datos non serán comunicados a terceiros salvo obrigación legal.
  5. Almacenamento de datos: base de datos aloxada por Occentus Networks (UE)
  6. Dereitos: en calquera momento pode limitar, recuperar e eliminar a súa información.

  1.   Coraxe dixo

    Ou tamén anota todos os programas que tiñas antes e fas

    sudo apt-get -y insall todos os paquetes que foron eliminados

    Realmente non sei se LMDE ten o mesmo obxectivo que Linux MInt, estar fóra de caixa

    1.    Coraxe dixo

      * instalar

  2.   hokasito dixo

    Aínda que está un pouco "fóra do tema", quería advertir que os candidatos á versión saíron en Linux Mint Debian 201108 para GNOME e XFCE. Espero que se fixeron bastantes melloras ... 🙂

    1.    elav <° Linux dixo

      Ben, si, o que ocorre cando se publicou esta excelente noticia estivemos fóra de liña. Grazas.

  3.   mitcos dixo

    Acabo de descubrirte e GRAZAS.
    Onte instalei o LMDE de 64 bits e estou ben, pero teño dúas pequenas cousas por descubrir.

    1– Inicie sesión como root no modo gráfico

    2.- Define VLC como o reprodutor de vídeo predeterminado

    Creo que o conseguiría desde o panel de control de aplicacións preferidas ou abrindo con outra aplicación / usando esta aplicación de xeito predeterminado. Iniciar sesión como root.

    Fixen sudo nautilus por se acaso e nada de nada.

    PS1: en 64 bits se o resumo dos paquetes funciona ben.
    PS2: Tamén teño que instalar MAME SDL e o recente wine64 para o que me gustaría que exista un ppa, porque configurar programas máis tarde non os actualiza automaticamente.
    PS3: Estou usando o controlador beta AMD AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon, https://getcocoon.com/, para ver series xeolocalizadas en Firefox, Chrome - que ten que estar instalado -, Firefox Flash axuda con Flash de 64 bits, Zindus, Qbittorrent, Opera, a extensión aletras.oxt e o script de recepción para controlar o exceso de caché de RAM da tarefa iso tamén merece un comentario teu.

    Agardo a quinta parte do tutorial con estas e / ou outras suxestións

  4.   COME CON dixo

    ¡Ola!
    Unha cousa, deberiamos cambiar a primeira ligazón que envía o artigo MintBackup a este: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Non sei por que, enlaza a un subdirectorio "/ wp-content / themes" ...

    1.    KZKG ^ Gaara dixo

      Feito, corrixido 😉

  5.   Nahum dixo

    Ola, desde a versión anterior de LMDE amd64 tiven problemas con paquetes rotos e erros ao cargar repositorios, probei moitas solucións e ningunha delas funciona ... Non sei que facer máis, quería instalar Gnome-shell e non me deixou porque o paquete está roto. Vin como resolver os paquetes rotos con comandos como: sudo dpkg –purge –force-remove-reinstreq

    e recibo o seguinte erro:

    dpkg: erro: –purge require polo menos un nome de paquete como parámetro

    Escribe dpkg –help para obter axuda sobre a instalación e desinstalación de paquetes [*];
    Use `dselect 'ou` aptitude' para unha xestión de paquetes máis amigable;
    Escriba dpkg -Dhelp para unha lista de axustes de depuración de dpkg;
    Escriba dpkg –force-help para unha lista de opcións para forzar as cousas;
    Escriba dpkg-deb –help para obter axuda sobre a manipulación de ficheiros .deb;

    As opcións marcadas con [*] producen unha saída extensa,
    Filtralo con "menos" ou con "máis".

    se alguén me pode axudar con isto 🙂